Update policy document
PUT
/
organizations
/
{organizationId}
/
policies
/
documents
/
{documentId}
Update policy document
curl --request PUT \
--url https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/policies/documents/{documentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Expense policy",
"fileName": "policy.pdf"
}
'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/policies/documents/{documentId}"
payload = {
"name": "Expense policy",
"fileName": "policy.pdf"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Expense policy', fileName: 'policy.pdf'})
};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/policies/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/policies/documents/{documentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Expense policy',
'fileName' => 'policy.pdf'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/policies/documents/{documentId}"
payload := strings.NewReader("{\n \"name\": \"Expense policy\",\n \"fileName\": \"policy.pdf\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/policies/documents/{documentId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Expense policy\",\n \"fileName\": \"policy.pdf\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/policies/documents/{documentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Expense policy\",\n \"fileName\": \"policy.pdf\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"created": "<string>",
"description": "<string>",
"mimeType": "<string>",
"remoteStorageId": "<string>",
"isPublic": true,
"signature": "<string>",
"ownerId": "<string>"
}{
"result": "error",
"description": "Policy document not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization id of the policies UUID without dashes (32-character hex string)
Pattern:
^[0-9a-fA-F]{32}$Id of the policy document resource UUID without dashes (32-character hex string)
Pattern:
^[0-9a-fA-F]{32}$Last modified on August 31, 2026
⌘I
Update policy document
curl --request PUT \
--url https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/policies/documents/{documentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Expense policy",
"fileName": "policy.pdf"
}
'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/policies/documents/{documentId}"
payload = {
"name": "Expense policy",
"fileName": "policy.pdf"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Expense policy', fileName: 'policy.pdf'})
};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/policies/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/policies/documents/{documentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Expense policy',
'fileName' => 'policy.pdf'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/policies/documents/{documentId}"
payload := strings.NewReader("{\n \"name\": \"Expense policy\",\n \"fileName\": \"policy.pdf\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/policies/documents/{documentId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Expense policy\",\n \"fileName\": \"policy.pdf\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/policies/documents/{documentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Expense policy\",\n \"fileName\": \"policy.pdf\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"created": "<string>",
"description": "<string>",
"mimeType": "<string>",
"remoteStorageId": "<string>",
"isPublic": true,
"signature": "<string>",
"ownerId": "<string>"
}{
"result": "error",
"description": "Policy document not found"
}
